# eth\_newPendingTransactionFilter

Creates a filter in the node, to notify when new pending transactions arrive. To check if the state has changed, call [eth\_getFilterChanges](/node-rpc/ethereum-api-endpoints/eth_getfilterchanges.md).

## **Parameters**

None

## Returns

&#x20;`QUANTITY` - A filter id.

## Example

*NOTE:* In this example we are using public Ethereum endpoint. Ideally, for your own projects, you should use your own endpoint, which you can generate for free by connecting to your wallet [here](https://www.noderpc.xyz/).

{% tabs %}
{% tab title="ethers" %}

### Query

*NOTE:* `ethers` used below is a well-known web3 library, check it out [here](https://github.com/ethers-io/ethers.js/).

```javascript
import { ethers } from 'ethers';

const provider =
  new ethers
    .providers
    .JsonRpcProvider("https://www.noderpc.xyz/rpc-mainnet/public")

const fetchLogs = async ()=> {
  const filter = {
    fromBlock: "0xe20360",
    toBlock: "0xe20411",
    address: "0x6B175474E89094C44Da98b954EedeAC495271d0F",
    topics: [],
  };
  const filterId = await provider.send("eth_newFilter", [filter]);
  console.log(filterId);

}
fetchLogs();

```

### Result

```json
[
    "0x1730ffd159bd7112f91e9542d1c3b2416da483bd60af024f69a5c365fd6fc499"
]
```

{% endtab %}
{% endtabs %}

###


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.noderpc.xyz/node-rpc/ethereum-api-endpoints/eth_newpendingtransactionfilter.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
